package eu.mhsl.craftattack.spawn.appliances.maintenance;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.util.Map;

public class MaintenanceCommand extends ApplianceCommand<Maintenance> {
    public MaintenanceCommand() {
        super("maintanance");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        Map<String, Boolean> options = Map.of("enable", true, "disable", false);
        if(args.length != 1 || !options.containsKey(args[0])) throw new Error("Argument 'enable' oder 'disable' gefordert!");
        getAppliance().setState(options.get(args[0]));
        sender.sendMessage(String.format("Maintanance: %b", getAppliance().isInMaintenance()));
    }
}
